Bug 37223 - Direct copy & paste from Calc into existing Writer table, places all in one cell (work around: paste-special in new table first)
Summary: Direct copy & paste from Calc into existing Writer table, places all in one c...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
: 61329 62674 70335 83623 104127 117401 (view as bug list)
Depends on:
Blocks: Paste Writer-Tables Writer-Tables-Enhancements
  Show dependency treegraph
 
Reported: 2011-05-15 06:48 UTC by john.pratt
Modified: 2018-08-09 08:04 UTC (History)
25 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description john.pratt 2011-05-15 06:48:22 UTC
When you copy several cells from Calc to Writer it is not possible to paste directly into an existing table so that it appears as expected - instead all pasted cells become a table within a cell in the existing table.

Steps to repeat:
1. Copy a table from Calc and paste as formatted text in Writer
2. Add a column to the table in Writer
3. Copy a few cells from a column in Calc and paste as formatted text into the empty column in Writer.
4. A new table is created in Writer inside a cell in the exisiting table.

NB: pasting using different options at step 3 does not help

Expected behaviour: cells from Calc end up as separate cells in the Writer table

To avoid the problem (but not ideal):
1. Copy a table from Calc and paste as formatted text in Writer
2. Add a column to the table in Writer
3. Copy a few cells from a column in Calc and paste as formatted text below the exisitng table in Writer (so a new table is created).
4. Copy the cells in the new table.
5. Paste into the original table.
6. Delete the new table.
Comment 1 sasha.libreoffice 2011-06-01 07:24:14 UTC
On LibO 3.4 rc1 Mandriva 64 bit all reproducible except that on step 4 table is inserted as text into the cell.
Comment 2 Cor Nouws 2011-08-18 13:04:51 UTC
see http://openoffice.org/bugzilla/show_bug.cgi?id=24500
Comment 3 Björn Michaelsen 2011-12-23 12:02:35 UTC Comment hidden (obsolete)
Comment 4 sasha.libreoffice 2011-12-26 03:40:42 UTC
reproduced on LibO 3.5.0 beta 1
table inserts as separate table instead of inserting in cells (as reported initially)
Comment 5 Rainer Bielefeld Retired 2012-07-23 07:06:46 UTC
[Reproducible] with Server Installation of  "LibreOffice 3.6.0.2 rc  German UI/Locale [Build-ID:  815c576] on German WIN7 Home Premium (64bit) 

Already reproducible with OOo 3.1.1 (and already 1.1.5), so I think problem is inherited from OOo.

Any copy / paste of adjacent cells from Calc into an empty table in Writer will not be into adjacent cells, but into a singl cell. To check simply create an empty 5x5 Table in WRITER and try to paste a 3 cells row or column into first cell of Writer table. All contents always will be pasted into a single cell.

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 6 ign_christian 2013-10-10 13:24:42 UTC
*** Bug 62674 has been marked as a duplicate of this bug. ***
Comment 7 Joel Madero 2014-02-26 01:57:18 UTC
*** Bug 61329 has been marked as a duplicate of this bug. ***
Comment 8 Björn Michaelsen 2014-03-16 01:12:31 UTC Comment hidden (obsolete)
Comment 9 tommy27 2014-05-10 11:47:47 UTC Comment hidden (obsolete)
Comment 10 tommy27 2014-11-29 17:20:37 UTC
still reproducible with LibO 4.3.3.2 and 4.5.0.0 alpha

moving to mab4.3 list since 4.2.x is END OF LIFE
Comment 11 Timur 2014-12-24 17:32:37 UTC Comment hidden (obsolete)
Comment 12 Timur 2014-12-24 17:35:40 UTC
*** Bug 70335 has been marked as a duplicate of this bug. ***
Comment 13 V Stuart Foote 2015-04-19 13:25:30 UTC
migrating this "bug" from mab4.3 to mab4.4 as should be on only one MAB at a time, and no movement prior to close of mab4.3 likely.

Also, as Cor suggested, some of the history over on AOO project at https://bz.apache.org/ooo/show_bug.cgi?id=24500#c41, and related issues.

And, isn't this really an enhancement request as movement of tabular data  between sheet to table has never been fully functional on any SO/OOo lineage?
Comment 14 Jean-Baptiste Faure 2015-04-19 17:55:37 UTC
For me that is not a bug but a valuable enhancement request.

Best regards. JBF
Comment 15 sunweb 2015-04-21 05:41:11 UTC
From my point of view its a bug. As moving data between components of the same program is natural. And having something like an old addon or MSO has that also give you options to extend table are features.
But i could except it as a feature if it means it will be in LO, its really needed as there're tasks that make people use it(through addon) almost on daily basis.
Comment 16 Hayo Baan 2016-07-18 12:14:53 UTC
I can not believe this bug is still present today, but it is… IMHO it is an ESSENTIAL ability for an office suite to be able to copy/paste table info from a spreadsheet to a text document. So please fix this!
Comment 17 Telesto 2016-11-24 12:34:41 UTC
*** Bug 104127 has been marked as a duplicate of this bug. ***
Comment 18 Bob English 2017-04-07 12:57:44 UTC
Version: 5.2.2.2
Build ID: 1:5.2.2-0ubuntu2
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group

Problem still exists with no effort shown to fix it:

This used to work just fine and dandy:

With two Writer files in my case an invoice and a receipt, both have identical tables with client information.  I used to highlight a column and copy it in one doc, and then highlight the identical column in the other and past, viola identical contents.  It is a documented feature.

A few (many) months ago doing this bug of putting the whole column in each cell of the table pasting to started.

The workaround I use is to copy the whole table in the invoice, then highlight the same table in the receipt and delete columns via the table tool bar, because just hitting delete also doesn't work as it used to, and instead of deleting the whole table, delete, only deletes the contents, then I past the whole table in, and delete the automatically created line breaks above and below the table.

Not very efficient work flow, this bug should be elevated to "Major".  It is definitely not an "enhancement", as it did work some time ago and a documented feature.  It is in fact a real bug, and it bugs me and many others quite a bit.
Comment 19 Bob English 2017-04-07 13:13:35 UTC
Oh, And the supposed workaround does not work in my case (see comment 18).

Theres a bug in itself:  When ever I used to copy any text from anywhere and past it into my writer document, it would take on the formatting of my document. Now every time I try, it gives me the formatting from the source, unless I open the "paste special" menu and click on "unformatted text" (they are really both formatted, just not in the same way).  Now why should I go through all of the trouble to format a document and its tables and what not, only to mess it up every time I want to add information???  Is that also an "enhancement"?  Well not for me it isn't, so I want a setting to change the default pasting behavior.
Comment 20 Marek Jędrzejewski 2017-09-01 16:26:31 UTC
I really think pasting from calc as its now, when you embed calc and can use formulas etc, is really great option, but casual user really needs option to simply put data into a table from one program to other as it is in MSO (well, that's what I heard), and right now it's impossible even with paste special options. 

Had quite a challenge with this one. I could do it by pasting special as formatted text outside the table, then taking it from the new table to existing one and removing the 'helper table', but that's much too much steps for that simple operation. And a frustrating user experience, I'm really surprised to see that it's a bug that was submitted in 2011, and still there's not even a option like 'fill fields' in paste special.
Comment 21 Timur 2018-07-10 18:24:25 UTC
*** Bug 117401 has been marked as a duplicate of this bug. ***
Comment 22 László Németh 2018-07-20 16:17:17 UTC
Fix for single cell copying: https://gerrit.libreoffice.org/#/c/57783/

"tdf#37223 Writer: insert 1-cell tables as text instead of OLE object
    
to get a user-friendly solution to copy Calc cell content to a text
document and to its native tables.
    
NOTE: MSO does the same for copying 1-cell tables, while LibreOffice
was able to do this only with paste special as RTF."
Comment 23 Commit Notification 2018-07-22 09:41:54 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9d18daf5b23155a9b4dfcdd5d1f23ed53bc3849

tdf#37223 Writer: insert 1-cell tables as text instead of OLE object

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2018-07-27 09:32:51 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73bd150048d056fb6e00de3f8b91347b7f642e91&h=libreoffice-6-1

tdf#37223 Writer: insert 1-cell tables as text instead of OLE object

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2018-08-01 11:37:30 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80d3d1044a1ad921bff990e2c4bb4dbf7c0a35c6

tdf#37223 insert OLE tables in text tables as native text tables

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Roman Kuznetsov 2018-08-05 10:39:30 UTC
verified in daily build of LibreOffice from 04 august 2018. Works fine.

Thank you László !
Comment 27 László Németh 2018-08-07 17:23:33 UTC
(In reply to kompilainenn from comment #26)
> verified in daily build of LibreOffice from 04 august 2018. Works fine.
> 
> Thank you László !

Thanks for your verification and feedback!
Comment 28 Roman Kuznetsov 2018-08-09 08:04:28 UTC
*** Bug 83623 has been marked as a duplicate of this bug. ***